- Qt 6.7
- Qt Quick
- QML Types
- GestureEvent
- Qt 6.7.1 Reference Documentation

# GestureEvent QML Type

The parameter given with the gestureStarted signal. More...

Import Statement: | import QtQuick

- List of all members, including inherited members

## Properties

- dragThreshold : real
- touchPoints : list<TouchPoint>

## Methods

- grab()

## Detailed Description

The GestureEvent object has the current touch points, which you may choose to interpret as a gesture, and an invokable method to grab the involved points exclusively.

## Property Documentation

dragThreshold : real `[read-only]`

This property holds the system setting for the distance a finger must move before it is interpreted as a drag. It comes from QStyleHints::startDragDistance().

touchPoints : list<TouchPoint> `[read-only]`

This property holds the set of current touch points.

## Method Documentation

grab()

Acquires an exclusive grab of the mouse and all the touchPoints, and calls setKeepTouchGrab() and setKeepMouseGrab() so that any parent Item that filters its children's events will not be allowed to take over the grabs.